List scoring policies
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/scoring/policies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/scoring/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/scoring/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"path": "kyc",
"country": "MA",
"factors": [
{
"key": "income_stability",
"label": "Income stability",
"description": "Regularity and level of income.",
"default_weight": 0.3,
"block": null
}
],
"regime": {},
"items": [
{
"id": "2f8c1d5a-7b3e-4e96-8a4d-0c6b9e1f3d72",
"path": "kyc",
"country": "MA",
"name": "Standard 2026",
"description": "Default thresholds",
"weights": {
"income_stability": 0.3,
"debt_ratio": 0.3,
"bank_behaviour": 0.2,
"documents": 0.2
},
"approve_threshold": 700,
"refuse_threshold": 500,
"dti_cap_pct": 40,
"require_cnss": true,
"require_domiciliation": false,
"gds_cap_pct": null,
"tds_cap_pct": null,
"min_bureau_score": null,
"is_active": false
}
],
"countries_with_policies": [
"MA"
],
"active_country": "MA"
}{
"detail": "path must be 'kyc' or 'kyb'"
}{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}List scoring policies
Who can call it: Any signed-in member of the workspace.
Policies for one path (kyc or kyb) and one country (default: the workspace’s, else MA). Also returns the country’s factor catalogue and rules.
Auth: dashboard session (Authorization: Bearer <access token>). Not available with a partner API key.
List scoring policies
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/scoring/policies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/scoring/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/scoring/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"path": "kyc",
"country": "MA",
"factors": [
{
"key": "income_stability",
"label": "Income stability",
"description": "Regularity and level of income.",
"default_weight": 0.3,
"block": null
}
],
"regime": {},
"items": [
{
"id": "2f8c1d5a-7b3e-4e96-8a4d-0c6b9e1f3d72",
"path": "kyc",
"country": "MA",
"name": "Standard 2026",
"description": "Default thresholds",
"weights": {
"income_stability": 0.3,
"debt_ratio": 0.3,
"bank_behaviour": 0.2,
"documents": 0.2
},
"approve_threshold": 700,
"refuse_threshold": 500,
"dti_cap_pct": 40,
"require_cnss": true,
"require_domiciliation": false,
"gds_cap_pct": null,
"tds_cap_pct": null,
"min_bureau_score": null,
"is_active": false
}
],
"countries_with_policies": [
"MA"
],
"active_country": "MA"
}{
"detail": "path must be 'kyc' or 'kyb'"
}{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}Authorizations
The access token (JWT) of a signed-in console user, from POST /v1/auth/login. It lasts 30 minutes. It is not an API key: a partner API key is refused here. There is no cookie.